UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.sdm.LBMSDMOutOfRangeException Class Reference

An LBM SDM Exception indicating a value was provided but is out of range. Where possible, additional data about the invalid data and the valid range is dumped. More...

Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMOutOfRangeException:

## Public Member Functions
| LBMSDMOutOfRangeException ()
| Generic Constructor.
| LBMSDMOutOfRangeException (System.String s)
| Generic Constructor including a string. More...
| LBMSDMOutOfRangeException (System.String s, int v, int low, int high)
| Constructor including field data. More...
| LBMSDMOutOfRangeException (System.String s, short v, short low, short high)
| Constructor including field data. More...
| LBMSDMOutOfRangeException (System.String s, long v, long low, long high)
| Constructor including field data. More...
| LBMSDMOutOfRangeException (System.String s, System.Decimal v, System.Decimal low, System.Decimal high)
| Constructor including field data. More...

## Detailed Description

An LBM SDM Exception indicating a value was provided but is out of range. Where possible, additional data about the invalid data and the valid range is dumped.

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMOutOfRangeException.LBMSDMOutOfRangeException | ( | System.String | s | ) |

Generic Constructor including a string.

Parameters

  s | Exception message

com.latencybusters.lbm.sdm.LBMSDMOutOfRangeException.LBMSDMOutOfRangeException | ( | System.String | s,
|  | int | v,
|  | int | low,
|  | int | high
| ) |  |

Constructor including field data.

Parameters

  s | Exception message
  v | Value out of range
  low | Low value of range
  high | High value of range

com.latencybusters.lbm.sdm.LBMSDMOutOfRangeException.LBMSDMOutOfRangeException | ( | System.String | s,
|  | short | v,
|  | short | low,
|  | short | high
| ) |  |

Constructor including field data.

Parameters

  s | Exception message
  v | Value out of range
  low | Low value of range
  high | High value of range

com.latencybusters.lbm.sdm.LBMSDMOutOfRangeException.LBMSDMOutOfRangeException | ( | System.String | s,
|  | long | v,
|  | long | low,
|  | long | high
| ) |  |

Constructor including field data.

Parameters

  s | Exception message
  v | Value out of range
  low | Low value of range
  high | High value of range

com.latencybusters.lbm.sdm.LBMSDMOutOfRangeException.LBMSDMOutOfRangeException | ( | System.String | s,
|  | System.Decimal | v,
|  | System.Decimal | low,
|  | System.Decimal | high
| ) |  |

Constructor including field data.

Parameters

  s | Exception message
  v | Value out of range
  low | Low value of range
  high | High value of range

The documentation for this class was generated from the following file:

- LBMSDMOutOfRangeException.cs